<?php

/**
 * The plugin bootstrap file.
 *
 * @link              https://widget.camboticket.com
 * @since             1.0.0
 * @package           camboticket
 *
 * @wordpress-plugin
 * Plugin Name:       Camboticket
 * Plugin URI:        https://widget.camboticket.com
 * Description:       Bus booking widget on your website with one simple shortcode, get commissions
 * Version:           1.0.1
 * Author:            Geekho (Cambodia)
 * Author URI:        https://geekho.asia/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       camboticket_widget
 * Domain Path:       /
 */


 function camboticket_shortcode($atts = [], $content = null, $tag = '')
 {
     // normalize attribute keys, lowercase
     $atts = array_change_key_case((array)$atts, CASE_LOWER);

     // override default attributes with user attributes
     $camboticket_atts = shortcode_atts([
                                      'from' => '',
                                      'to' => '',
                                      'affiliate' => '',
                                      'bgcolor' => '',
                                      'show-results' => 'false',
                                      'width' => '500px',
                                  ], $atts, $tag);

     // start output
     $o = '';

     if($camboticket_atts['from']){
       $from = ' from="'.$camboticket_atts['from'].'"';
     }

     if($camboticket_atts['to']){
       $to = ' to="'.$camboticket_atts['to'].'"';
     }

     if($camboticket_atts['affiliate']){
       $affiliate = ' affiliate="'.$camboticket_atts['affiliate'].'"';
     }

     if($camboticket_atts['width']){
       $width = ' width="'.$camboticket_atts['width'].'"';
     }

     if($camboticket_atts['bgcolor']){
       $bgcolor = ' bgcolor="'.$camboticket_atts['bgcolor'].'"';
     }
     
     if($camboticket_atts['show-results']){
       $showResults = ' show-results="'.$camboticket_atts['show-results'].'"';
     }

     // start widget
     $o .= '<div class="camboticket-widget"'.$from.$to.$width.$affiliate.$bgcolor.$showResults.'></div>';

     // end widget
     $o .= '</div>';

     // return output
     return $o;
 }

 function camboticket_shortcodes_init()
 {
     add_shortcode('camboticket', 'camboticket_shortcode');
 }

 add_action('init', 'camboticket_shortcodes_init');

 function camboticket_widget() { ?>
  <script>
   (function(b,u,s,r,i,d,e){b['CamboticketWidget']=i;b[i]=b[i]||function(){
 (b[i].q=b[i].q||[]).push(arguments)},b[i].l=1*new Date();d=u.createElement(s),
 e=u.getElementsByTagName(s)[0];d.async=1;d.src=r;e.parentNode.insertBefore(d,e)
 })(window,document,'script','//widget.camboticket.com/widget.js','ct');ct('mode', 'affiliate');
  </script>
 <?php }
 add_action( 'wp_footer', 'camboticket_widget', 10 );

?>
